package rs.ac.bg.fon.ai.books.util;

import org.apache.jena.rdf.model.Model;
import org.apache.jena.rdf.model.ModelFactory;
import org.apache.jena.rdf.model.Property;
import org.apache.jena.rdf.model.Resource;

public class Schema {
	
	/** The RDF model that holds the vocabulary terms */
	private static Model model = ModelFactory.createDefaultModel();

	public static Property getProperty(String propertyName) {
		return model.createProperty(Constants.SCHEMA + propertyName );
	}
	
	public static Resource getClass(String className) {
		return model.createResource(Constants.SCHEMA + className );
	}
}
